%%
%% layout.tex
%%
%% Shared misc bits for Diploma Thesis
%% Marcel Baur <mbaur@iiic.ethz.ch>
%%
%% $Id: layout.tex,v 1.14 2003-03-07 09:43:47 baurma Exp $
%%

%% -------------------------------------------------
%% Another way to prevent indention on new paragraphs:
%% \parindent0pt
%%


%% -------------------------------------------------
%% define an "ifpdf" such that the document can be
%% both rendered by latex and pdflatex

\newif\ifpdf
  \ifx\pdfoutput\undefined
    \pdffalse                    % LaTeX
  \else
    \pdfoutput=1                 % PDFLaTeX
    \pdftrue
\fi

%%
%%
%%

%% -------------------------------------------------
%% Some distinct enumerations
%%
\newtheorem{example}{Example}
\newtheorem{definition}{Definition}

%% -------------------------------------------------
%% Shortcut for a backslash
%%
\newcommand{\escape}{
	$\setminus$
}

%% -------------------------------------------------
%% Shortcut for a backslash
\newcommand{\myurl}[1]{\footnotesize\url{#1}\normalsize}

%% -------------------------------------------------
%% Code environment for method signatures
%%
\newcommand{\code}[1]{
	\protect
	\noindent
	\textnormal
	\footnotesize
	\texttt{
	\begin{tabular}{|l}
	#1
	\end{tabular}
	} %% texttt
	\normalsize
	\newline
}

%% -------------------------------------------------
%% Unique display shortcut for JNuke
%%
\newcommand{\JNuke}{\textbf{JNuke} }

\newcommand{\jreplay}{\textbf{jreplay} }

%% -------------------------------------------------
%% Shorthand pseudo-tabulator for use in above
%% code-Environment
%%
\newcommand{\tab}{
	\protect\texttt{\phantom{  }}
}

%% -------------------------------------------------
%%
\newcommand{\ttitem}[1]{
	\item[\texttt{#1}] \mbox{ } \phantom{ } \\
}

%% -------------------------------------------------
%%
\newcommand{\hr}{
	\begin{tabular}{c}
	\hline
	\end{tabular}
}

%% -------------------------------------------------
%%
\newcommand{\setfontsizes}[2]{
	\renewcommand{\normalsize}{
	  \fontsize{#1}{#2} 
	  \selectfont
	}
	\normalsize
}

%% -------------------------------------------------
%% Environment for Thesis Abstract
%%
\newenvironment{myabstract}[1][Abstract]{
%% Begin abstract
\chapter*{#1}
}{
%% End abstract
\bigskip
}

%% -------------------------------------------------
%% Environment for Thesis Acknowledgements
%%
\newenvironment{acknowledgements}[1][Acknowledgements]{
%% Begin acknowledgements
\chapter*{#1}
}{
%% End acknowledgements
\bigskip
}


%% -------------------------------------------------
%% Shortcut for including .pdf graphics
%% Usage: \graphic{label}{filename}{caption}
%%
\newcommand{\graphic}[4]{
\ifpdf
	%% pdflatex
	\IfFileExists{#2.pdf}
	{%
		%% file filename.pdf is available
		\begin{figure}[ht!]
		\begin{center}
		\includegraphics[width=#4 \textwidth]{#2}
		\end{center}
		\caption{#3}
		\label{#1}
		\end{figure}
	}{
		%% file filename.pdf is missing
		\begin{figure}[ht!]
		\begin{center}
		\framebox{\textbf{$<<<$ Warning: File "#2.pdf" missing $>>>$}}
		\end{center}
		\caption{#3}
		\label{#1}
		\end{figure}
	}
\else
	%% latex
	\IfFileExists{#2.eps}
	{%
		%% file filename.eps is available
		\begin{figure}[ht!]
		\begin{center}
		\includegraphics[width=#4 \textwidth]{#2}
		\end{center}
		\caption{#3}
		\label{#1}
		\end{figure}
	}{
		%% file filename.eps is missing
		\begin{figure}[ht!]
		\begin{center}
		\framebox{\textbf{$<<<$ Warning: File "#2.eps" missing $>>>$}}
		\end{center}
		\caption{#3}
		\label{#1}
		\end{figure}
	}
\fi
}

%% -------------------------------------------------

%% EOF
